"""Add leaves migration

Revision ID: e09fde107060
Revises: 6b1fb5ea6a3c
Create Date: 2020-07-28 11:52:41.719640

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "e09fde107060"
down_revision = "6b1fb5ea6a3c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "leaves",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("user_id", sa.Integer(), nullable=True),
        sa.Column("start_date", sa.DateTime(), nullable=False),
        sa.Column("end_date", sa.DateTime(), nullable=False),
        sa.Column("days", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(["user_id"], ["users.id"], ondelete="CASCADE"),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_leaves_id"), "leaves", ["id"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_leaves_id"), table_name="leaves")
    op.drop_table("leaves")
    # ### end Alembic commands ###
